PERL = perl
MERGE_SCRIPT = $(PERL) $(EPAGES_CARTRIDGES)/DE_EPAGES/CodeGenerator/Scripts/mergeCvsBranch.pl -server -nostop
MERGE		 = $(MERGE_SCRIPT) -merge
MERGE_SUBDIRS = $(MERGE_SCRIPT) -subdir -merge
MERGE_FILES = $(MAKE) -f dailyMerge.mak merge_files
CVS_EPAGES5 = RND/epages/epages5
CVS_ALLOS = $(CVS_EPAGES5)/AllOS
CVS_DE_EPAGES = $(CVS_ALLOS)/Cartridges/DE_EPAGES

default: merge_cartridges merge_other

#to merge single dev branches use following command: "nmake -f dailyMerge.mak EPG-27957"

#hmoye
EPG-27471:
	$(MERGE) EPG-27471 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-27471 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Catalog
	$(MERGE) EPG-27471 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Newsletter
	$(MERGE) EPG-27471 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Order
	$(MERGE) EPG-27471 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-27471 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) EPG-27471 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Shop
	
#broddeck
EPG-30122:
	$(MERGE) EPG-30122 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles

#aurban
EPG-29825:
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Customer
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/CustomForm
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Forum
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MailType
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Newsletter
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ProductRating
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ProductRecommendation
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ShopMailType

#bbaum
EPG-27957:
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Dojo
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation

#bbaum
EPG-28340:
	$(MERGE) EPG-28340 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Dojo

#broddeck
EPG-25306:
	$(MERGE) EPG-25306 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles

#emller
EPG-25667:
	$(MERGE) EPG-25667 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation

#slange
EPG-29564:
	$(MERGE) EPG-29564 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles
	
#cbordis
EPG-21167:
	$(MERGE) EPG-21167 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product

#vzerwas
EPG-30741:
	$(MERGE) EPG-30741 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles
	
#mhoehn
UNITY:
	$(MERGE) UNITY -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES
	$(MERGE) UNITY -cvspath $(CVS_ALLOS)/Cartridges/Cartridges.xml

#lgorse
EPG-30381:
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/CustomForm
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ExternalContent
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MediaGallery
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MultiStore
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MultiStoreMaster
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/SEO
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Shop
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ShopWizard
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Makefile.pl
	$(MERGE) EPG-30381 -cvspath RND/epages/epages5/WinNT/Build/Setup/Scripts/ConfigureIIS.vbs
	$(MERGE) EPG-30381 -cvspath RND/epages/epages5/UNIX/Build/WebAdapter/zzz-epages-httpd.conf.ept
	
#skersten
EPG-30843:
	$(MERGE) EPG-30843 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/RemoteSearch

#mhoehn
EPG-30895:
	$(MERGE) EPG-30895 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-30895 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-30895 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Dojo
	$(MERGE) EPG-30895 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-30895 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product

team2:
	$(MERGE_SUBDIRS) team2_6_16

standard:
	$(MERGE_SUBDIRS) hotfix_6_16_2
	$(MERGE_SUBDIRS) patch_6_16_2
	$(MERGE_SUBDIRS) hotfix_6_16_3
	$(MERGE_SUBDIRS) patch_6_16_3
	$(MERGE_SUBDIRS) patch_6_16

merge_cartridges: standard team2 UNITY EPG-27957 EPG-25306 EPG-28340 EPG-29564 EPG-29825 EPG-30122 EPG-27471 EPG-21167 EPG-30741 EPG-30381 EPG-30843 EPG-30895


merge_other:
	$(MERGE_FILES) VERSION=hotfix_6_16_2
	$(MERGE_FILES) VERSION=patch_6_16_2
	$(MERGE_FILES) VERSION=hotfix_6_16_3
	$(MERGE_FILES) VERSION=patch_6_16_3
	$(MERGE_FILES) VERSION=patch_6_16

merge_files:
	$(MERGE) $(VERSION) -cvspath $(CVS_EPAGES5)/UNIX
	$(MERGE) $(VERSION) -cvspath $(CVS_EPAGES5)/WinNT
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/Cartridges.xml
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/CPAN
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/Training
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/RND_EPAGES
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Build
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Doc
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Epages6BinaryUpgrade
#	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/HelpSources
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Languages
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Patch
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/QA
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/RegressionTest
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Scheduler
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Shared
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Update
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/WebServiceExamples
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Sybase
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/FlashSources

# when you get the error
#	 "cvs checkout: cannot open CVS/Entries for reading: No such file or directory"
# tag removed files:
#	 cvs rtag -F -a -r B_patch_6_0_3 M_patch_6_0_3 RND/epages/epages5/UNIX
