-- #202
CREATE TABLE customizationoption (
     optionid             integer  not null
,    productid            integer  not null
,    ismandatory          bool  not null

,   constraint pk_customizationoption           primary key (optionid)
,   constraint fk_customizationoption_optionid  foreign key (optionid)
        references object                           (objectid)
,   constraint fk_customizationoption_productid foreign key (productid)
        references product                          (productid)
)
GO
CREATE INDEX i_productid ON customizationoption (productid)
GO

