-- #201
CREATE TABLE selectedvariation (
     selectedvariationid  integer  not null AUTO_INCREMENT
,    productid            integer  null
,    attributeid          integer  not null
,    predefattributeid    integer  null

,   constraint pk_selectedvariation             primary key (selectedvariationid)
,   constraint fk_selectedvariation_predefattributeid foreign key (predefattributeid)
        references predefattribute                  (predefattributeid)
,   constraint fk_selectedvariation_attributeid foreign key (attributeid)
        references attribute                        (attributeid)
,   constraint fk_selectedvariation_productid   foreign key (productid)
        references product                          (productid)
)
GO
CREATE UNIQUE INDEX u_selectvariation_product ON selectedvariation (productid, predefattributeid)
GO

CREATE INDEX i_selectvariation_attributeid ON selectedvariation (attributeid)
GO

CREATE INDEX i_selectvariation_predefattr ON selectedvariation (predefattributeid)
GO

