-- #501
CREATE TABLE topseller (
     productid            integer  not null
,    shopid               integer  not null
,    lineitemcount        integer  not null

,   constraint pk_topseller                     primary key (productid)
,   constraint fk_topseller_shopid              foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_topseller_productid           foreign key (productid)
        references product                          (productid)
)
GO
CREATE INDEX i_product_productid ON topseller (shopid, lineitemcount)
GO

