-- #201
CREATE TABLE customizablearea (
     areaid               integer  not null
,    productid            integer  not null
,    fromtop              integer  not null
,    fromleft             integer  not null
,    width                integer  not null
,    height               integer  not null

,   constraint pk_customizablearea              primary key (areaid)
,   constraint fk_customizablearea_areaid       foreign key (areaid)
        references object                           (objectid)
,   constraint fk_customizablearea_productid    foreign key (productid)
        references product                          (productid)
)
GO
CREATE INDEX i_productid ON customizablearea (productid)
GO

