-- #301
CREATE TABLE lineitemcustomizedfile (
     customizablefileid   integer  not null
,    lineitemid           integer  null
,    filename             varchar(255)  not null
,    width                double  not null
,    height               double  not null
,    innerwidth           double  not null
,    innerheight          double  not null
,    fromtop              integer  not null
,    fromleft             integer  not null
,    zindex               integer  not null
,    orientation          integer  not null
,    areaid               integer  not null
,    optionid             integer  not null

,   constraint pk_lineitemcustomizedfile        primary key (customizablefileid)
,   constraint fk_lineitemcustomizedfile_customizablefileid foreign key (customizablefileid)
        references object                           (objectid)
,   constraint fk_lineitemcustomizedfile_lineitemid foreign key (lineitemid)
        references lineitemproduct                  (lineitemproductid)
)
GO
CREATE INDEX i_lineitemcustomizedfile ON lineitemcustomizedfile (areaid)
GO

CREATE INDEX i_lineitemcustomizedfile_lineitmeid ON lineitemcustomizedfile (lineitemid)
GO

